package com.neusoft.smart.pos.user.persistent.mapper;

import com.neusoft.smart.pos.user.persistent.domain.UserPermissionGroupExample;
import com.neusoft.smart.pos.user.persistent.domain.UserPermissionGroupKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UserPermissionGroupMapper {
    int countByExample(UserPermissionGroupExample example);

    int deleteByExample(UserPermissionGroupExample example);

    int deleteByPrimaryKey(UserPermissionGroupKey key);

    int insert(UserPermissionGroupKey record);

    int insertSelective(UserPermissionGroupKey record);

    List<UserPermissionGroupKey> selectByExample(UserPermissionGroupExample example);

    int updateByExampleSelective(@Param("record") UserPermissionGroupKey record, @Param("example") UserPermissionGroupExample example);

    int updateByExample(@Param("record") UserPermissionGroupKey record, @Param("example") UserPermissionGroupExample example);
}